Subject: Re: bug#17625: 24.4.50; All installed packages marked "unsigned", no archive listed

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Sep 2014 17:24:19 +0300

> From: Ted Zlatanov <[email-masked]>
> Date: Tue, 30 Sep 2014 07:02:51 -0400
> Cc: [email-masked]
> 
> On Mon, 29 Sep 2014 23:55:00 -0400 Stefan Monnier <[email-masked]> wrote: 
> 
> >> @c Uncomment this if it becomes true.
> >> @ignore
> >> The public key for the GNU package archive is distributed with Emacs,
> >> in the @file{etc/package-keyring.gpg}.  Emacs uses it automatically.
> >> @end ignore
> >> The ELPA maintainer public key .gpg file is needed. Right now I can't
> >> find it so I can't actually verify any packages. Am I missing something?
> 
> SM> It's in the file described in the (commented out) doc you cited above.
> SM> You are tracking emacs-24 to help us with the pretest, right?
> 
> I am, but looked in the trunk for this file. I didn't expect you'd put
> the keyring only in the emacs-24 branch.  Why keep it out of trunk?
> Users there won't know to look in emacs-24.

Everything in the emacs-24 branch gets merged to the trunk shortly.